#############################################################
#
# busybox
#
#############################################################

ifeq ($(USE_BUSYBOX_SNAPSHOT),true)
# Be aware that this changes daily....
BUSYBOX_DIR:=$(BUILD_DIR)/busybox
BUSYBOX_SOURCE=busybox-snapshot.tar.bz2
BUSYBOX_SITE:=http://www.busybox.net/downloads/snapshots
else
BUSYBOX_DIR:=$(BUILD_DIR)/busybox-1.00
BUSYBOX_SOURCE:=busybox-1.00.tar.bz2
BUSYBOX_SITE:=http://www.busybox.net/downloads
endif

BUSYBOX_UNZIP=bzcat
BUSYBOX_CONFIG:=$(CONFIG_DIR)/config-busybox

$(DL_DIR)/$(BUSYBOX_SOURCE):
	 $(WGET) -P $(DL_DIR) $(BUSYBOX_SITE)/$(BUSYBOX_SOURCE)

$(BUSYBOX_DIR)/.unpacked: $(DL_DIR)/$(BUSYBOX_SOURCE)
	$(BUSYBOX_UNZIP) $(DL_DIR)/$(BUSYBOX_SOURCE) | \
		tar -C $(BUILD_DIR) -xvf -
	touch $(BUSYBOX_DIR)/.unpacked

$(BUSYBOX_DIR)/.patched: $(BUSYBOX_DIR)/.unpacked
	$(PATCH_DIR)/patch-kernel.sh $(BUSYBOX_DIR) $(PATCH_DIR)/busybox
	touch $(BUSYBOX_DIR)/.patched

$(BUSYBOX_DIR)/.configured: $(BUSYBOX_DIR)/.patched
	cp $(BUSYBOX_CONFIG) $(BUSYBOX_DIR)/.config
ifeq ($(filter $(TARGETS),bzip2), bzip2)
	$(SED) "s/^.*CONFIG_BUNZIP2.*/CONFIG_BUNZIP2=n/;" \
		$(BUSYBOX_DIR)/.config
endif
	$(MAKE) -C $(BUSYBOX_DIR) oldconfig
	touch $(BUSYBOX_DIR)/.configured

$(BUSYBOX_DIR)/busybox: $(BUSYBOX_DIR)/.configured
	$(MAKE) CC="$(TARGET_CC)" PREFIX="$(INITRD_MASTER)" -C $(BUSYBOX_DIR)

$(INITRD_MASTER)/bin/busybox: $(BUSYBOX_DIR)/busybox
	cp $(BUSYBOX_DIR)/busybox $(INITRD_MASTER)/bin/busybox
	-$(SSTRIP) $(INITRD_MASTER)/bin/busybox
	-(cd $(INITRD_MASTER)/bin ; [ ! -f sh ] && ln -s busybox sh);
	-(cd $(INITRD_MASTER)/sbin; [ ! -f init ] && ln -s ../bin/busybox init);

busybox: $(INITRD_MASTER)/bin/busybox

busybox-clean:
	rm -f $(INITRD_MASTER)/bin/busybox
	rm -f $(BUSYBOX_DIR)/.configured
	-$(MAKE) -C $(BUSYBOX_DIR) clean

busybox-dirclean:
	rm -f $(INITRD_MASTER)/bin/busybox
	rm -rf $(BUSYBOX_DIR)
