#############################################################
#
# hostapd
#
#############################################################
HOSTAP_VERSION=0.3.7
HOSTAPD_SOURCE=hostapd-$(HOSTAP_VERSION).tar.gz
HOSTAPD_DIR=$(BUILD_DIR)/hostapd-$(HOSTAP_VERSION)
HOSTAPD_PATCH=$(SOURCE_DIR)/hostapd.patch
HOSTAPD_CAT=zcat

HOSTAPD_CONFIG_FILE=$(CONFIG_DIR)/config-hostapd

$(DL_DIR)/$(HOSTAPD_SOURCE):
	$(WGET) -P $(DL_DIR) $(HOSTAP_SITE)/$(HOSTAPD_SOURCE)

hostapd-source: $(DL_DIR)/$(HOSTAPD_SOURCE)

$(HOSTAPD_DIR)/.unpacked: $(DL_DIR)/$(HOSTAPD_SOURCE)
	$(HOSTAPD_CAT) $(DL_DIR)/$(HOSTAPD_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(HOSTAPD_DIR)/.unpacked

$(HOSTAPD_DIR)/.configured: $(HOSTAPD_DIR)/.unpacked
	$(SED) "s/^(CFLAGS += -DHOSTAPD_DUMP_STATE)/#$1/;" $(HOSTAPD_DIR)/Makefile
	$(SED) "s|^CFLAGS = .*|CFLAGS = -Os -DUSE_KERNEL_HEADERS=$(LINUX_SOURCE_DIR)|;" $(HOSTAPD_DIR)/Makefile
	$(SED) "s|^DIR_WPA_SUPPLICANT=.*|DIR_WPA_SUPPLICANT=$(WPA_SUPPLICANT_DIR)|;" $(HOSTAPD_DIR)/Makefile
	$(SED) "s|^DIR_HOSTAP=.*|DIR_HOSTAP=$(HOSTAP_DRIVER_DIR)|;" $(HOSTAPD_DIR)/Makefile
	cp $(HOSTAPD_CONFIG_FILE) $(HOSTAPD_DIR)/.config
	touch $(HOSTAPD_DIR)/.configured

$(HOSTAPD_DIR)/hostapd: $(HOSTAPD_DIR)/.configured
	( cd $(HOSTAPD_DIR) ; \
	$(MAKE) ; \
	);

$(HOSTAP_PKG_DIR)/usr/sbin/hostapd: $(HOSTAPD_DIR)/hostapd
	mkdir -p $(HOSTAP_PKG_DIR)/usr/sbin
	cp -a $(HOSTAPD_DIR)/hostapd $(HOSTAP_PKG_DIR)/usr/sbin/hostapd
	-$(SSTRIP) $(HOSTAP_PKG_DIR)/usr/sbin/hostapd

hostapd: wpa_supplicant $(HOSTAP_PKG_DIR)/usr/sbin/hostapd

hostapd-clean:
	-$(MAKE) -C $(HOSTAPD_DIR) clean

hostapd-dirclean:
	-rm -rf $(HOSTAPD_DIR)
