#############################################################
#
# lineserv
#
#############################################################

LINESERV_SOURCE_URL=http://unc.dl.sourceforge.net/sourceforge/linecontrol/
LINESERV_SOURCE=linesrv-2.1.20.src.tar.bz2
LINESERV_DIR=$(BUILD_DIR)/linesrv-2.1

LINESERV_PKG_DIR=$(PACKAGES_DIR)/linesrv


$(DL_DIR)/$(LINESERV_SOURCE):
	 $(WGET) -P $(DL_DIR) $(LINESERV_SOURCE_URL)$(LINESERV_SOURCE)

linesrv-source: $(DL_DIR)/$(LINESERV_SOURCE)

$(LINESERV_DIR)/.unpacked: $(DL_DIR)/$(LINESERV_SOURCE)
	bzcat $(DL_DIR)/$(LINESERV_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(LINESERV_DIR)/.unpacked

$(LINESERV_DIR)/.configured: $(LINESERV_DIR)/.unpacked
	(cd $(LINESERV_DIR); \
		./configure \
		CFLAGS="$(TARGET_CFLAGS)" \
		--disable-useracc \
		--disable-pamauth \
		--disable-mysql \
	);
	touch $(LINESERV_DIR)/.configured


$(LINESERV_DIR)/server/linesrv: $(LINESERV_DIR)/.configured
	$(MAKE) CFLAGS="$(TARGET_CFLAGS)" -C $(LINESERV_DIR)

$(LINESERV_PKG_DIR)/usr/sbin/linesrv: $(LINESERV_DIR)/server/linesrv
	mkdir -p $(LINESERV_PKG_DIR)/usr/sbin
	cp -a $(LINESERV_DIR)/server/linesrv $(LINESERV_PKG_DIR)/usr/sbin/linesrv
	-$(SSTRIP) $(LINESERV_PKG_DIR)/usr/sbin/linesrv

linesrv: $(LINESERV_PKG_DIR)/usr/sbin/linesrv

linesrv-clean:
	-$(MAKE) -C $(LINESERV_DIR) clean
	-rm $(LINESERV_PKG_DIR)

linesrv-dirclean:
	-rm -rf $(LINESERV_DIR)
	-rm $(LINESERV_PKG_DIR)
